Package Details: tree-sitter-git 0.16.5.r2995.c393591e-2

Git Clone URL: https://aur.archlinux.org/tree-sitter-git.git (read-only, click to copy)
Package Base: tree-sitter-git
Description: An incremental parsing system for programming tools
Upstream URL: https://github.com/tree-sitter/tree-sitter
Licenses: MIT
Conflicts: tree-sitter
Provides: libtree-sitter.so, tree-sitter
Submitter: FFY00
Maintainer: FFY00 (sangy)
Last Packager: FFY00
Votes: 1
Popularity: 0.58
First Submitted: 2020-04-22 17:19
Last Updated: 2020-04-22 17:25

Required by (3)

Sources (1)

Latest Comments

xzz53 commented on 2020-11-03 14:34

Hi! The package as is doesn't compile for me now, need the following patch to make it work:

--- a/PKGBUILD  2020-11-03 17:28:20.248555786 +0300
+++ b/PKGBUILD  2020-11-03 17:28:27.455316611 +0300
@@ -29,7 +29,7 @@
   make

   # emcc needs to be run at least one time before using to spit out their initial message .-.
-  /usr/lib/emscripten/emcc 2>&1 >/dev/null
+  /usr/lib/emscripten/emcc >/dev/null 2>&1 || true

   ./script/build-wasm